If Errors

In this page, we will post information about: how to solve an issues on Armitge.

 

[FIX CONNECTION REFUSED]
#1) Open terminal & type:
assault@kalivm:~$ sudo dpkg -s armitage
*You should get this output*
Package: armitage
Status: install ok installed
Priority: extra
Section: utils
Installed-Size: 8094
Maintainer: Devon Kearns <dookie@kali.org>
Architecture: all
Version: 20150812-1kali1
Depends: default-jre, metasploit-framework
Description: Cyber attack management for Metasploit
Armitage is a scriptable red team collaboration tool for Metasploit that
visualizes targets, recommends exploits, and exposes the advanced post-
exploitation features in the framework.
Homepage: http://www.fastandeasyhacking.com/
assault@kalivm:~$

*Now take a look at the Version, if your version is not like the version up here, type:

assault@kalivm:~$ sudo apt-get install armitage

*Another important point. Armitage working with Metasploit DB as well, so in first, take care to your Metasploit, and then go to Armitage.
For Metasploit DB, check the “IF ERRORS” page under HOW TO > METASPLOIT.*